<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

function env(string $key, $defaultvalue = null) {
    global $SETTINGS;
    if (!empty($SETTINGS[$key])) {
        return $SETTINGS[$key];
    }
    return $defaultvalue;
}

function envhas(string $key): bool {
    global $SETTINGS;
    return !empty($SETTINGS[$key]);
}